use serde::{Deserialize, Serialize};
use uuid::Uuid;

#[derive(Serialize, Deserialize, Clone, Debug, PartialEq, Eq, Hash)]
pub struct AppId(Uuid);

impl AppId {
    pub fn new() -> Self {
        AppId { 0: Uuid::new_v4() }
    }
}